VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
vmware::vcenter::ovf::ParseIssue Class Reference

The `ParseIssue` class contains the information about the issue found when parsing an OVF package during deployment or exporting an OVF package including:

- Parsing and validation error on OVF descriptor (which is an XML document), manifest and certificate files.

More...

List of all members.

## Classes
class | Category
| The `ParseIssue.Category` enumerated type defines the categories of issues that can be found when parsing files inside an OVF package (see ParseIssue ) including OVF descriptor (which is an XML document), manifest and certificate files, or exporting an OVF package. More...
## Public Member Functions
| ParseIssue ()
| Creates a default new instance.
vmware.vcenter.ovf.ParseIssue.Category | GetCategory ()
| The category of the parse issue.
void | SetCategory (vmware.vcenter.ovf.ParseIssue.Category category)
| The category of the parse issue.
string | GetFile ()
| The name of the file in which the parse issue was found.
void | SetFile (string file)
| The name of the file in which the parse issue was found.
long | GetLineNumber ()
| The line number of the line in the file (see ParseIssue.file ) where the parse issue was found (or -1 if not applicable).
void | SetLineNumber (long lineNumber)
| The line number of the line in the file (see ParseIssue.file ) where the parse issue was found (or -1 if not applicable).
long | GetColumnNumber ()
| The position in the line (see ParseIssue.lineNumber ) (or.
void | SetColumnNumber (long columnNumber)
| The position in the line (see ParseIssue.lineNumber ) (or.
vmware.vapi.std.LocalizableMessage | GetMessage ()
| A localizable message describing the parse issue.
void | SetMessage (vmware.vapi.std.LocalizableMessage message)
| A localizable message describing the parse issue.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ParseIssue` class contains the information about the issue found when parsing an OVF package during deployment or exporting an OVF package including:

- Parsing and validation error on OVF descriptor (which is an XML document), manifest and certificate files.

OVF descriptor generating and device error. Unexpected server error.

## Constructor & Destructor Documentation

vmware::vcenter::ovf::ParseIssue::ParseIssue | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::ParseIssue::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::ParseIssue::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::ParseIssue::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::ParseIssue::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::ParseIssue::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::ParseIssue::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.ovf.ParseIssue.Category vmware::vcenter::ovf::ParseIssue::GetCategory | ( |  | ) | `[inline]`

The category of the parse issue.

long vmware::vcenter::ovf::ParseIssue::GetColumnNumber | ( |  | ) | `[inline]`

The position in the line (see ParseIssue.lineNumber ) (or.

-1 if not applicable).

string vmware::vcenter::ovf::ParseIssue::GetFile | ( |  | ) | `[inline]`

The name of the file in which the parse issue was found.

override int vmware::vcenter::ovf::ParseIssue::GetHashCode | ( |  | ) | `[inline]`

long vmware::vcenter::ovf::ParseIssue::GetLineNumber | ( |  | ) | `[inline]`

The line number of the line in the file (see ParseIssue.file ) where the parse issue was found (or -1 if not applicable).

vmware.vapi.std.LocalizableMessage vmware::vcenter::ovf::ParseIssue::GetMessage | ( |  | ) | `[inline]`

A localizable message describing the parse issue.

void vmware::vcenter::ovf::ParseIssue::SetCategory | ( | vmware.vcenter.ovf.ParseIssue.Category | category | ) | `[inline]`

The category of the parse issue.

void vmware::vcenter::ovf::ParseIssue::SetColumnNumber | ( | long | columnNumber | ) | `[inline]`

The position in the line (see ParseIssue.lineNumber ) (or.

-1 if not applicable).

void vmware::vcenter::ovf::ParseIssue::SetFile | ( | string | file | ) | `[inline]`

The name of the file in which the parse issue was found.

void vmware::vcenter::ovf::ParseIssue::SetLineNumber | ( | long | lineNumber | ) | `[inline]`

The line number of the line in the file (see ParseIssue.file ) where the parse issue was found (or -1 if not applicable).

void vmware::vcenter::ovf::ParseIssue::SetMessage | ( | vmware.vapi.std.LocalizableMessage | message | ) | `[inline]`

A localizable message describing the parse issue.

override string vmware::vcenter::ovf::ParseIssue::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ParseIssue.cs